## xsp 0.1.2

=== DESCRIPTION ===
Package: xsp
Type: Package
Title: The Chi-Square Periodogram
Version: 0.1.2
Author: Hitoshi Iuchi, Rikuhiro G. Yamada
Maintainer: Hitoshi Iuchi <hiuchi@sfc.keio.ac.jp>
Description: The circadian period of a time series data is predicted and the statistical significance of the periodicity are calculated using the chi-square periodogram.
License: MIT + file LICENSE
Suggests: testthat
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: ggplot2, reshape2
NeedsCompilation: no
Packaged: 2017-06-08 07:55:48 UTC; hiuchi
Repository: CRAN
Date/Publication: 2017-06-08 11:37:17 UTC

## xsp 1.0.2

=== debian/changelog ===
xsp (1.0.2) unstable; urgency=low

  * cleanup 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  1 Dec 2005 12:53:07 +0200

xsp (1.0.1) unstable; urgency=low

  Lauri Leukkunen 

  * xsp-fix-req-size
  * xsp-add-pixel-doubling
  * add-missing-include
  
  Riku Voipio

  * use native version number
  * enforce newer SpExt

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 14 Sep 2005 13:28:13 +0300

xsp (1.0.0-8) unstable; urgency=low

  * Rebuild against fixed SpExt

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 12 Apr 2005 11:27:18 +0300

xsp (1.0.0-7) unstable; urgency=low

  * Fix -dev depencies

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 29 Mar 2005 16:42:47 +0300

xsp (1.0.0-6) unstable; urgency=low

  * DSP fixes

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  1 Mar 2005 12:55:29 +0200

xsp (1.0.0-5) unstable; urgency=low

  * Fix shlibs

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 24 Feb 2005 14:15:09 +0200

xsp (1.0.0-4) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 23 Feb 2005 18:46:10 +0200

xsp (1.0.0-3) unstable; urgency=low

  * Correct build depencies 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri,  4 Feb 2005 16:04:55 +0200

xsp (1.0.0-2) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 26 Oct 2004 16:36:31 +0300

xsp (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 18 Oct 2004 13:55:01 +0300

## xsp 1.0.3embed1

=== debian/control ===
Source: xsp
Section: x11
Priority: optional
Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
Build-Depends: x-build, x-dev, libxproto-fixes, libxproto-xsp (>= 1.1), libx11-dev, libxext-dev
Standards-Version: 3.6.1.1

Package: libxsp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X S P lib
 Xomap server specific extension runtime library

Package: libxsp0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libxsp0 (= ${Source-Version}), ${misc:Depends}
Description: X S P lib - debug files
 Xomap server specific extension runtime debug library

Package: libxsp-dev
Section: libdevel
Architecture: any
Depends: libxproto-xsp, libxsp0 (= ${Source-Version})
Description: X S P lib - development files
 Xomap server specific extension, development headers

## xsp 1.2.2

=== debian/changelog ===
xsp (1.2.2) unstable; urgency=low

  * Add proper copyright notices/licence (MIT/X11).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 24 May 2006 10:54:26 +0000

xsp (1.2.1) unstable; urgency=low

  * Add error checking for XSPFindDisplay (closes: N#25121).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 28 Mar 2006 17:54:17 +0300

xsp (1.2.0) unstable; urgency=low

  [ Tapani Pälli ]
  * Add support for setting thumb pressure pressure via protocol requests.

  [ Daniel Stone ]
  * Bump version to 1.2.0.
  * Fix spext version check.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 15 Feb 2006 10:12:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
-Build-Depends: x-build, x-dev, libxproto-fixes, libxproto-xsp (>= 1.1), libx11-dev, libxext-dev
+Build-Depends: x-build, x-dev, libxproto-fixes, libxproto-xsp (>= 1.2), libx11-dev, libxext-dev
 Standards-Version: 3.6.1.1
 
 Package: libxsp0

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/xlibs.mk

## xsp 2.10

=== debian/changelog ===
xsp (2.10-2) unstable; urgency=low

  [ Jo Shields ]
  * [91ef16c] Add missing dependencies to dh-xsp
  * [d9953f7] Updated Swedish translation. Thanks to Martin Bagge. (Closes: #623408)
  * [d8c3c1c] Switch to DH8-compatible use of "--with cli"

  [ Iain Lane ]
  * [dc3bc8b] Fix typographical problems in debconf templates.
    Thanks to Jeroen Schot <schot@A-Eskwadraat.nl>
  * [8dcab08] Typo fix in French translation from David Prévot

  [ Christian Perrier ]
  * [e280105] Update & unfuzzy translations (Closes: #653030, #653081, #653224)

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 10:28:40 +0000

xsp (2.10-1) experimental; urgency=low

  * [61d31c1] Remove obsolete gbp.conf
  * [ccdb6e6] Imported Upstream version 2.10
  * [92f63cb] Stop converting tarball format on orig tarball
  * [27a035f] Set Debian source format to 3.0 (quilt)
  * [faec1a1] Port dh_installxsp to handle XSP 2 and 4, not 1 and 2
  * [18cc2df] Replace XSP 1 preinst/postrm with XSP4 equivalents
  * [da67f86] Remove menu entry for ASP.NET examples (it's not useful
    having it in a GUI menu when it just spawns a daemon)
  * [c3ebd1a] Remove .dirs files for ASP.NET examples - they serve no
    purpose
  * [16c8c53] Unify ASP.NET examples under a single package, hosted by
    XSP 4
  * [36ce192] Move debian compat level to 7
  * [61e0efe] Remove TODO (this kind of thing belongs on a wiki, or bug
    reports - it's just cluttering up the packaging of the package)
  * [1ca7b61] Remove useless .dirs files for FastCGI packages
  * [93e676f] Add mono-fastcgi-server4 packages, replacing mono-fastcgi-
    server1
  * [f08e010] Remove useless .dirs files for mono-apache-server packages
  * [1945d2c] Make mono-apache-server4 the new default version for mono-
    apache-server
  * [7149783] Update readme for mono-apache-server2
  * [68f8b3b] Replace mono-apache-server1 with mono-apache-server4
  * [6b912dc] Add symlinks to default versions of our apache mangling
    tools to the default versions package, mono-apache-server. Since the
    names of some commands are recycled from mono-apache-server1, add a
    Conflicts/Replaces
  * [193e167] Remove fragments of earlier packaging efforts, which
    haven't been actually used for years
  * [da96272] Update to 4.0, and rename Debian XSP manglement scripts,
    to remove useless ".conf" filename which is only removed anyway
  * [9e2a65a] Move XSP4 features into a new mono-xsp4-base package, and
    rename mono-xsp-base to dh-xsp since it only contains dh_installxsp.
  * [620f9ee] Add executable permissions to scripts we plan to run
  * [6f66c23] Switch default mono-xsp version to 4.0
  * [ef6ca71] Add an xsp.pm, for DebHelper, so we can call "dh --with
    xsp" in XSP apps to handle dh_installxsp
  * [93c5179] Ensure we carry NEWS etc with mono-xsp2
  * [1c1ff1e] Add a readme for XSP2, to help explain our weird
    Debianisms
  * [ab2389b] Replace mono-xsp1 with mono-xsp4
  * [9b3ad89] Bump ABI version of expected Mono to 2.10.1
  * [4c55e8a] Clean up version-checking rules slightly
  * [f4484a6] Handle slightly weird version/name situation in upstream's
    Mono.WebServer2 library
  * [b4f7731] Port packaging to Debhelper 7, clean up significantly, and
    update to build 2.10 (in theory)
  * [a4e1ddc] Fix up build-dependencies
  * [5bb24aa] Fix up install list for dh-xsp
  * [e4e497c] it's dh_installman, not manpages
  * [a80fb89] Fix package description for dh-xsp
  * [e60ec5b] Explicitly add mono-gmcs to the dependencies of mono-xsp2,
    since the gmcs compiler is needed for sites to actually work
  * [cbb8703] Switch asp.net-examples from XSP4 to XSP2, since there's
    some precompiled 2.0 stuff in there and it's not worth rebuilding
    against 4.0 when it doesn't contain any 4.0-only examples anyway
  * [41c086d] Refresh .dirs files for mono-xsp
  * [2de6042] Add a conflicts, since we want to force removal of
    asp.net2-examples
  * [0ae8be3] Add debconf templates to warn users of XSP1 removal
  * [64db795] Inform users via Debconf if they have XSP1 sites
    configured, when they install XSP2 or 4 - since we cannot host XSP1
    sites anymore, it's nice to let users know that they need to
    reconfigure
  * [a8618d7] Refresh POTFILES.in
  * [49772f9] Updated Russian translation. Thanks to Yuri Kozlov.
    (Closes: #620657)
  * [f25e3c3] Updated Galician translation. Thanks to Miguel Bouzada.
  * [c31337b] Updated Slovenian translation. Thanks to Jan Kraljič.
  * [901c80d] Updated Slovenian translation. Thanks to Jan Kraljič
  * [9a801ed] Updated German translation. Thanks to Helge Kreutzmann.
    (Closes: #620987)
  * [b4dbed6] Updated Finnish translation. Thanks to Esko Arajärvi.
    (Closes: #621008)
  * [426a9ef] Updated Basque translation. Thanks to Iñaki Larrañaga
    Murgoitio. (Closes: #621498)
  * [e5b1bf5] Updated Portugese translation. Thanks to Miguel
    Figueiredo. (Closes: #621837)
  * [69b81d2] Updated Czech translation. Thanks to Miroslav Kure.
    (Closes: #622098)
  * [cd01091] Updated Spanish translation. Thanks to Francisco Javier
    Cuadrado. (Closes: #622612)

 -- Jo Shields <directhex@apebox.org>  Fri, 15 Apr 2011 17:34:23 +0100

xsp (2.6.5-3) unstable; urgency=low

  * Upload to Debian Unstable

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Sep 2010 16:11:45 +0100

xsp (2.6.5-2) experimental; urgency=low

  * debian/mono-xsp1.postinst,
    debian/mono-xsp2.postinst:
    + If /var/run/mono-xspX is missing, then don't die in postinst

 -- Jo Shields <directhex@apebox.org>  Sat, 28 Aug 2010 13:37:10 +0100

xsp (2.6.5-1) experimental; urgency=low

  * New upstream release
  * debian/mono-xsp1.default,
    debian/mono-xsp1.init,
    debian/mono-xsp2.init:
    + Make daemon enabled or disabled on the basis of the start_boot value 
      of /etc/default/mono-xspX. As a side effect of this, the init script 
      will no longer die horribly if the default file is missing or junk.
  * debian/mono-xsp1.postinst,
    debian/mono-xsp2.postinst:


=== debian/control ===
Source: xsp
Section: web
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Dylan R. E. Moonfire <debian@mfgames.com>, Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 mono-devel (>= 2.10.1),
 mono-gmcs,
 monodoc-base,
 libnunit-cil-dev
Standards-Version: 3.9.1
Homepage: http://www.mono-project.com/ASP.NET
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/xsp.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/xsp.git

Package: dh-xsp
Architecture: all
Depends: perl, debhelper, ${misc:Depends}
Conflicts: mono-utils (<= 1.1.9.2-1), mono-xsp-base
Replaces: mono-xsp-base
Description: debhelper add-on to handle ASP.NET sites
 dh-xsp provides a debhelper sequence addon named 'xsp' and the dh_installxsp
 command, which allows ASP.NET sites to be automatically configured on 
 installation.

Package: mono-xsp2-base
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}, mono-devel, mono-gmcs, libmono-system-web2.0-cil (>= ${mono-abi-comp-version})
Description: base libraries for XSP 2.0
 This is the core libraries needed to install the XSP2 application,
 either through the standalone XSP version (mono-xsp2) or the Apache module
 (mono-apache-server2).

Package: mono-xsp4-base
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}, mono-devel, libmono-system-web4.0-cil (>= ${mono-abi-comp-version})
Description: base libraries for XSP 4.0
 This is the core libraries needed to install the XSP4 application,
 either through the standalone XSP version (mono-xsp4) or the Apache module
 (mono-apache-server4).

Package: mono-xsp4
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), procps
Description: simple web server to run ASP.NET 4.0 applications
 XSP is a simple web server written in C# that can be used to run your 
 ASP.NET 4.0 applications. 
 .
 This is the standalone ASP.NET web server. If you want to run ASP.NET
 applications with Apache, look at mono-apache-server.

Package: mono-xsp2
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), procps
Description: simple web server to run ASP.NET 2.0 applications
 XSP is a simple web server written in C# that can be used to run your 
 ASP.NET 1.1 and 2.0 applications. 
 .
 This is the standalone ASP.NET web server. If you want to run ASP.NET
 applications with Apache, look at mono-apache-server2.

Package: mono-xsp
Architecture: all
Depends: mono-xsp4 (= ${source:Version}), ${misc:Depends}
Description: simple web server to run ASP.NET applications - default version
 XSP is a simple web server written in C# that can be used to run your 
 ASP.NET applications. 
 .
 This is a metapackage to pull in the standalone ASP.NET web server. 
 If you want to run ASP.NET applications with Apache, look at 
 mono-apache-server.

Package: asp.net-examples
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer2}
Replaces: asp.net2-examples
Conflicts: asp.net2-examples
Description: demo pages for ASP.NET infrastructure
 Sample set of .aspx pages to test the XSP server or the mod_mono Apache
 module.

Package: mono-apache-server4
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
Description: ASP.NET 1.1 backend for mod_mono Apache module
 mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
 web applications via Apache. mod_mono will call mono-apache-server to parse
 and compile the aspx code.
 .
 This package requires you to install libapache2-mod-mono for Apache 2.0.

Package: mono-apache-server2
Architecture: all
Conflicts: mono-server
Replaces: mono-server
Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
Description: ASP.NET 2.0 backend for mod_mono2 Apache module
 mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
 web applications via Apache. mod_mono will call mono-apache-server to parse
 and compile the aspx code.
 .
 This package requires you to install libapache2-mod-mono for Apache 2.0.

Package: mono-apache-server
Architecture: all
Conflicts: mono-server, mono-apache-server1
Replaces: mono-server, mono-apache-server1
Depends: mono-apache-server4 (= ${source:Version}), ${misc:Depends}
Description: ASP.NET backend for mod_mono Apache module - default version
 mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
 web applications via Apache. mod_mono will call mono-apache-server to parse
 and compile the aspx code.
 .
 This package pulls in the default version of the Apache backend.

Package: mono-fastcgi-server4
Architecture: all
Replaces: mono-fastcgi-server1
Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
Description: ASP.NET 4.0 backend for FastCGI webservers
 mono-fastcgi-server contains the backend for FastCGI. It lets you run 
 ASP.NET web applications via HTTP servers such as Lighttpd or Apache. 
 The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
 parse and compile the aspx code.
 .
 This package requires you to install any FastCGI webserver, such as
 Lighttpd or Apache (see libapache2-mod-fcgid).

Package: mono-fastcgi-server2
Architecture: all
Conflicts: mono-server
Replaces: mono-server
Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
Description: ASP.NET 2.0 backend for FastCGI webservers
 mono-fastcgi-server contains the backend for FastCGI. It lets you run
 ASP.NET web applications via HTTP servers such as Lighttpd or Apache.
 The FastCGI webserver should be configured to run fastcgi-mono-server to
 parse and compile the aspx code.
 .
 This package requires you to install any FastCGI webserver, such as
 Lighttpd or Apache (see libapache2-mod-fcgid).

Package: mono-fastcgi-server
Architecture: all
Conflicts: mono-server
Replaces: mono-server
Depends: mono-fastcgi-server4 (= ${source:Version}), ${misc:Depends}
Description: ASP.NET backend for FastCGI webservers - default version
 mono-fastcgi-server contains the backend for FastCGI. It lets you run
 ASP.NET web applications via HTTP servers such as Lighttpd or Apache.
 The FastCGI webserver should be configured to run fastcgi-mono-server to
 parse and compile the aspx code.
 .
 This package pulls in the default version of the FastCGI backend.

## xsp 2.10-1maemo1

=== debian/changelog ===
xsp (2.10-1maemo1) fremantle;  urgency=low

  * Initial release for Maemo 5
  * Removed dh_xsp
  * Removed examples
  * Removed autostart (you still can run update-rc.d manually)
  * Removed unit tests from build sequence

 -- Nikita Tsukanov <keks9n@gmail.com>  Sun, 1 May 2011 19:01:43 +0400

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,18 @@
 Source: xsp
 Section: web
 Priority: optional
-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
-Uploaders: Dylan R. E. Moonfire <debian@mfgames.com>, Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
-Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev
+Maintainer: Nikita Tsukanov <keks9n@gmail.com>
+Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
+Build-Depends: debhelper, po-debconf, autotools-dev
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10.1),
  mono-gmcs,
- monodoc-base,
- libnunit-cil-dev
+ monodoc-base
 Standards-Version: 3.9.1
 Homepage: http://www.mono-project.com/ASP.NET
 Vcs-Git: git://git.debian.org/git/pkg-mono/packages/xsp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/xsp.git
 
-Package: dh-xsp
-Architecture: all
-Depends: perl, debhelper, ${misc:Depends}
-Conflicts: mono-utils (<= 1.1.9.2-1), mono-xsp-base
-Replaces: mono-xsp-base
-Description: debhelper add-on to handle ASP.NET sites
- dh-xsp provides a debhelper sequence addon named 'xsp' and the dh_installxsp
- command, which allows ASP.NET sites to be automatically configured on 
- installation.
 
 Package: mono-xsp2-base
 Architecture: all
@@ -70,15 +60,6 @@
  This is a metapackage to pull in the standalone ASP.NET web server. 
  If you want to run ASP.NET applications with Apache, look at 
  mono-apache-server.
-
-Package: asp.net-examples
-Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer2}
-Replaces: asp.net2-examples
-Conflicts: asp.net2-examples
-Description: demo pages for ASP.NET infrastructure
- Sample set of .aspx pages to test the XSP server or the mod_mono Apache
- module.
 
 Package: mono-apache-server4
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export MONO_SHARED_DIR=$(CURDIR)

MONO_ABI_COMP_VERSION = 2.6

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

# Perl code to figure out the current version and the next "potential" version
DPKG_VERSION ?= $(shell head -n 1 debian/changelog  | cut -f 2 -d '(' | cut -f 1 -d ')')
PKG_VERSION ?= $(shell echo $(DPKG_VERSION) | cut -f 1 -d '-' | cut -f 1-3 -d '.')
NEXT_PKG_VERSION ?= $(shell echo $(PKG_VERSION) | perl -e '$$_=<>;/\.(\d+)$$/;$$a=$$1+1;s/\.(\d+)$$/.$$a/;print;')

configure: configure-stamp templates.pot
configure-stamp: 
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/xsp.sgml > xsp.1
	pod2man --section=8 \
		$(CURDIR)/debian/mono-server-admin.conf \
		> $(CURDIR)/debian/mono-server-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-server-update.conf \
		> $(CURDIR)/debian/mono-server-update.8
	pod2man --section=8 \
		$(CURDIR)/debian/mono-server2-admin.conf \
		> $(CURDIR)/debian/mono-server2-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-server2-update.conf \
		> $(CURDIR)/debian/mono-server2-update.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp-admin.conf \
		> $(CURDIR)/debian/mono-xsp-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp-update.conf \
		> $(CURDIR)/debian/mono-xsp-update.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp2-admin.conf \
		> $(CURDIR)/debian/mono-xsp2-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp2-update.conf \
		> $(CURDIR)/debian/mono-xsp2-update.8

	cp $(CURDIR)/debian/mono-server-update.8 \
		$(CURDIR)/debian/update-mono-server.8
	cp $(CURDIR)/debian/mono-server2-update.8 \
		$(CURDIR)/debian/update-mono-server2.8
	cp $(CURDIR)/debian/mono-xsp-update.8 \
		$(CURDIR)/debian/update-mono-xsp.8
	cp $(CURDIR)/debian/mono-xsp2-update.8 \
		$(CURDIR)/debian/update-mono-xsp.8

	touch build-stamp

templates.pot: $(wildcard debian/*.templates)

clean: clean-patched
clean-patched:
	dh_testdir
	dh_testroot
	rm -f config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf server
	# moved below the clean so the configured-stuff cleans properly
	rm -rf $$MONO_SHARED_DIR/.wapi
	rm -f $(CURDIR)/debian/*.8 $(CURDIR)/debian/*.1
	rm -f build-stamp configure-stamp config.status
	find . -name "*.exe" -exec rm {} \;
	find . -name "*.exe.mdb" -exec rm {} \;
	find . -name "*.dll" -exec rm {} \;
	find . -name "*.dll.mdb" -exec rm {} \;
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

#	Fix permissions
	find debian/tmp -name "*.config" -or -name "*.gif" \
		| xargs chmod a-x

#	Move things into Debian-specific places
	cp -r debian/tmp/usr/lib/xsp/test \
		debian/tmp/usr/share/asp.net2-demos
	mv debian/tmp/usr/lib/xsp/test \
		debian/tmp/usr/share/asp.net-demos
	rm -rf debian/tmp/usr/share/asp.net-demos/2.0

	# Make version two variants on the manpages
	cat debian/tmp/usr/share/man/man1/xsp.1 \
		| sed 's/xsp/xsp2/g' \
		> debian/tmp/usr/share/man/man1/xsp2.1
	cp debian/tmp/usr/share/man/man1/xsp.1 debian/tmp/usr/share/man/man1/xsp1.1
	cat debian/tmp/usr/share/man/man1/dbsessmgr.1 \
		| sed 's/dbsessmgr/dbsessmgr2/g' \
		> debian/tmp/usr/share/man/man1/dbsessmgr2.1
	cp debian/tmp/usr/share/man/man1/dbsessmgr.1 debian/tmp/usr/share/man/man1/dbsessmgr1.1
	cat debian/tmp/usr/share/man/man1/asp-state.1 \
		| sed 's/asp-state/asp-state2/g' \
		> debian/tmp/usr/share/man/man1/asp-state2.1
	cp debian/tmp/usr/share/man/man1/asp-state.1 debian/tmp/usr/share/man/man1/asp-state1.1
	cat debian/tmp/usr/share/man/man1/mod-mono-server.1 \
		| sed 's/mono-server/mono-server2/g' \
		> debian/tmp/usr/share/man/man1/mod-mono-server2.1
	cp debian/tmp/usr/share/man/man1/mod-mono-server.1 debian/tmp/usr/share/man/man1/mod-mono-server1.1
	cat debian/tmp/usr/share/man/man1/fastcgi-mono-server.1 \
		| sed 's/mono-server/mono-server2/g' \
		> debian/tmp/usr/share/man/man1/fastcgi-mono-server2.1
	cp debian/tmp/usr/share/man/man1/fastcgi-mono-server.1 debian/tmp/usr/share/man/man1/fastcgi-mono-server1.1

#	Make dh_installxsp man pages

#	Debian control files
	mkdir -p debian/tmp/usr/sbin
	for f in mono-xsp-update mono-xsp-admin \
		 mono-xsp2-update mono-xsp2-admin \
		 mono-server-admin mono-server-update \
	         mono-server2-admin mono-server2-update; \
	do \
		install -m 755 debian/$$f.conf \
			debian/tmp/usr/sbin/$$f; \
	done

binary: binary-arch binary-indep

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	# auto-start we handle ourself using debconf
	dh_installinit -i --noscripts
	# We are using our local version along with our local copies of the
	# file to make sure asp.net gets the proper version.
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_clistrip -i
	dh_compress -i
	dh_fixperms -i
	dh_clifixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_makeclilibs -i -V
	dh_clideps -i -d
	dh_gencontrol -i -- -Vmono-abi-comp-version=$(MONO_ABI_COMP_VERSION)
	dh_md5sums -i
	dh_builddeb -i

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename
	bzcat ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2 | \
		gzip -9fn -c - > ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
	rm ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2


.PHONY: build clean binary-arch binary-indep binary install

## xsp 3.0.11

=== debian/changelog ===
xsp (3.0.11-1) unstable; urgency=low

  * [cba6453] Imported Upstream version 3.0.11
  * [7709f54] Updated Japanese translation. Thanks to victory 
    <victory.deb@gmail.com> (Closes: #717204)
  * [fdfbb9d] Updated Italian translation. Thanks to Fabio 
    <rola.hack@gmail.com> (Closes: #697188)

 -- Jo Shields <directhex@apebox.org>  Tue, 08 Oct 2013 16:40:34 +0200

xsp (2.11+git20130328.6365230-2) unstable; urgency=low

  * Upload to sid

 -- Jo Shields <directhex@apebox.org>  Tue, 09 Jul 2013 22:48:27 +0100

xsp (2.11+git20130328.6365230-1) experimental; urgency=low

  * [6d6e4fa] Imported Upstream version 2.11+git20130328.6365230
  * [53f2acf] Launcher scripts assume .NET 4.5, so Mono 3 needed
  * [39f8bc7] 4.5-ify install locations

 -- Jo Shields <directhex@apebox.org>  Fri, 26 Apr 2013 14:32:24 +0100

xsp (2.10-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2"
    use variable instead if string for db_set in
    debian/mono-apache-server[2,4].config. (Cf. #688565).
    Thanks to Adam D. Barratt for spotting this mistake (in #688205).

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Oct 2012 20:08:34 +0200

xsp (2.10-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2":
    s/db_get/db_set/ in debian/mono-xsp[24].config.
    Thanks to Andreas Beckmann for hunting down my silly mistake.
    (Closes: #688205)

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Oct 2012 18:08:06 +0200

xsp (2.10-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2" and
    "mono-apache-server2, mono-apache-server4: modifies conffiles (policy
    10.7.3): /etc/default/mono-apache-server[24]" and another not yet reported
    case of the same problem in mono-xsp4:
    for all of mono-xsp[24] and mono-apache-server[24]:
    - don't ship the .default file
    - create it in .postinst if necessary
    - source it in .config to feed existing values into debconf
    - remove it in .postrm/purge
    (Closes: #688205, Closes: #688565)
  * Fix "mono-apache-server{2, 4}: unowned files after purge (policy
    6.8, 10.8): /etc/mono-server?/mono-server?-hosts.conf":
    - remove files in .postrm/purge
    (Closes: #668755)

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Oct 2012 15:50:27 +0200

xsp (2.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * Japanese (Hideki Yamane).  Closes: #626374
  * Swedish (Martin Bagge / brother).  Closes: #661963
  * Polish (Michał Kułach).  Closes: #662919

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Apr 2012 15:33:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,28 @@
 Source: xsp
 Section: web
 Priority: optional
-Maintainer: Nikita Tsukanov <keks9n@gmail.com>
-Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
-Build-Depends: debhelper, po-debconf, autotools-dev
+Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
+Uploaders: Dylan R. E. Moonfire <debian@mfgames.com>, Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
+Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
- mono-devel (>= 2.10.1),
+ mono-devel (>= 3),
  mono-gmcs,
- monodoc-base
+ monodoc-base (>= 3),
+ libnunit-cil-dev
 Standards-Version: 3.9.1
 Homepage: http://www.mono-project.com/ASP.NET
 Vcs-Git: git://git.debian.org/git/pkg-mono/packages/xsp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/xsp.git
 
+Package: dh-xsp
+Architecture: all
+Depends: perl, debhelper, ${misc:Depends}
+Conflicts: mono-utils (<= 1.1.9.2-1), mono-xsp-base
+Replaces: mono-xsp-base
+Description: debhelper add-on to handle ASP.NET sites
+ dh-xsp provides a debhelper sequence addon named 'xsp' and the dh_installxsp
+ command, which allows ASP.NET sites to be automatically configured on 
+ installation.
 
 Package: mono-xsp2-base
 Architecture: all
@@ -60,6 +70,15 @@
  This is a metapackage to pull in the standalone ASP.NET web server. 
  If you want to run ASP.NET applications with Apache, look at 
  mono-apache-server.
+
+Package: asp.net-examples
+Architecture: all
+Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer2}
+Replaces: asp.net2-examples
+Conflicts: asp.net2-examples
+Description: demo pages for ASP.NET infrastructure
+ Sample set of .aspx pages to test the XSP server or the mod_mono Apache
+ module.
 
 Package: mono-apache-server4
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export MONO_SHARED_DIR=$(CURDIR)

MONO_ABI_COMP_VERSION = 2.10.1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

# Perl code to figure out the current version and the next "potential" version
VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Vers | cut -d\  -f2)
UPVERSION = $(shell echo $(VERSION) | sed 's,-.*,,' | sed 's,+dfsg.*,,')
NEXT_UPVERSION = $(shell perl -e '$$_=pop; s/(\d+)$$/$$1+1/e; print' $(UPVERSION))
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)

override_dh_auto_build:
	dh_auto_build
	pod2man --section=8 \
		$(CURDIR)/debian/mono-server4-admin \
		> $(CURDIR)/debian/mono-server4-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-server4-update \
		> $(CURDIR)/debian/mono-server4-update.8
	pod2man --section=8 \
		$(CURDIR)/debian/mono-server2-admin \
		> $(CURDIR)/debian/mono-server2-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-server2-update \
		> $(CURDIR)/debian/mono-server2-update.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp4-admin \
		> $(CURDIR)/debian/mono-xsp4-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp4-update \
		> $(CURDIR)/debian/mono-xsp4-update.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp2-admin \
		> $(CURDIR)/debian/mono-xsp2-admin.8
	pod2man --section=8 $(CURDIR)/debian/mono-xsp2-update \
		> $(CURDIR)/debian/mono-xsp2-update.8

	pod2man --section=1 $(CURDIR)/debian/dh_installxsp \
		> $(CURDIR)/debian/dh_installxsp.1

	cp $(CURDIR)/debian/mono-server4-update.8 \
		$(CURDIR)/debian/update-mono-server4.8
	cp $(CURDIR)/debian/mono-server2-update.8 \
		$(CURDIR)/debian/update-mono-server2.8
	cp $(CURDIR)/debian/mono-xsp4-update.8 \
		$(CURDIR)/debian/update-mono-xsp4.8
	cp $(CURDIR)/debian/mono-xsp2-update.8 \
		$(CURDIR)/debian/update-mono-xsp2.8

	touch build-stamp

override_dh_clean:
	rm -f $(CURDIR)/debian/*.8 $(CURDIR)/debian/*.1
	dh_clean 

override_dh_installman:
	# Make version three variants on the manpages
	cat debian/tmp/usr/share/man/man1/xsp.1 \
		| sed 's/xsp/xsp2/g' \
		> debian/tmp/usr/share/man/man1/xsp2.1
	cat debian/tmp/usr/share/man/man1/xsp.1 \
		| sed 's/xsp/xsp4/g' \
		> debian/tmp/usr/share/man/man1/xsp4.1
	cat debian/tmp/usr/share/man/man1/dbsessmgr.1 \
		| sed 's/dbsessmgr/dbsessmgr2/g' \
		> debian/tmp/usr/share/man/man1/dbsessmgr2.1
	cat debian/tmp/usr/share/man/man1/dbsessmgr.1 \
		| sed 's/dbsessmgr/dbsessmgr4/g' \
		> debian/tmp/usr/share/man/man1/dbsessmgr4.1
	cat debian/tmp/usr/share/man/man1/asp-state.1 \
		| sed 's/asp-state/asp-state2/g' \
		> debian/tmp/usr/share/man/man1/asp-state2.1
	cat debian/tmp/usr/share/man/man1/asp-state.1 \
		| sed 's/asp-state/asp-state4/g' \
		> debian/tmp/usr/share/man/man1/asp-state4.1
	cat debian/tmp/usr/share/man/man1/mod-mono-server.1 \
		| sed 's/mono-server/mono-server2/g' \
		> debian/tmp/usr/share/man/man1/mod-mono-server2.1
	cat debian/tmp/usr/share/man/man1/mod-mono-server.1 \
		| sed 's/mono-server/mono-server4/g' \
		> debian/tmp/usr/share/man/man1/mod-mono-server4.1
	cat debian/tmp/usr/share/man/man1/fastcgi-mono-server.1 \
		| sed 's/mono-server/mono-server2/g' \
		> debian/tmp/usr/share/man/man1/fastcgi-mono-server2.1
	cat debian/tmp/usr/share/man/man1/fastcgi-mono-server.1 \
		| sed 's/mono-server/mono-server4/g' \
		> debian/tmp/usr/share/man/man1/fastcgi-mono-server4.1
	DH_AUTOSCRIPTDIR=$(CURDIR)/debian/ debian/dh_installxsp -i -V 2
	dh_installman

override_dh_makeclilibs:
	dh_makeclilibs -V

override_dh_clideps:
	dh_clideps -d

override_dh_gencontrol:
	dh_gencontrol -- -Vmono-abi-comp-version=$(MONO_ABI_COMP_VERSION)

%:
	dh $@ --with cli

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename

## xsp 3.8

=== debian/changelog ===
xsp (3.8-2) unstable; urgency=medium

  * [0daef45] Move build-depends-indep to build-depends, since this is 
    now an arch:any package not arch:all.

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 25 Sep 2014 14:40:28 +0100

xsp (3.8-1) unstable; urgency=medium

  * [2f6490d] Fix libs path (LP: 1293481) (Closes: #731374)
    (Thanks to Shahid Ali)
  * [5f37cfd] Imported Upstream version 3.8
  * [19ead6c] Fix package description 1.0->4.5
  * [fc25680] Fix init message (Closes: #692560)
  * [c428f8d] Add mono-fpm-server package, for "FastCGI Process Manager" 
    variant of XSP, and libfpm-helper0, a native C library used by it 
    (and also used by the older fastcgi variants)

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 25 Sep 2014 10:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
 Uploaders: Dylan R. E. Moonfire <debian@mfgames.com>, Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
-Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev
-Build-Depends-Indep: cli-common-dev (>= 0.8~),
+Build-Depends: debhelper (>= 7.0.50~), 
+ po-debconf, 
+ autotools-dev, 
+ cli-common-dev (>= 0.8~),
  mono-devel (>= 3),
  mono-gmcs,
  monodoc-base (>= 3),
@@ -83,7 +85,7 @@
 Package: mono-apache-server4
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
-Description: ASP.NET 1.1 backend for mod_mono Apache module
+Description: ASP.NET 4.5 backend for mod_mono Apache module
  mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
  web applications via Apache. mod_mono will call mono-apache-server to parse
  and compile the aspx code.
@@ -114,10 +116,33 @@
  .
  This package pulls in the default version of the Apache backend.
 
+Package: mono-fpm-server
+Architecture: all
+Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Description: ASP.NET backend for FastCGI Process Manager
+ mono-fpm-server contains the backend for FPM. It lets you run ASP.NET
+ web applications via HTTP servers such as Lighttpd or Apache.
+ The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
+ parse and compile the aspx code.
+ .
+ This package requires you to install any FPM webserver, such as
+ Lighttpd or Apache (see libapache2-mod-fastcgi).
+
+Package: libfpm-helper0
+Architecture: any
+Depends: ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Description: ASP.NET backend for FastCGI Process Manager - helper lib
+ mono-fpm-server contains the backend for FPM. It lets you run ASP.NET
+ web applications via HTTP servers such as Lighttpd or Apache.
+ The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
+ parse and compile the aspx code.
+ .
+ This package contains a helper library needed by mono-fpm-server.
+
 Package: mono-fastcgi-server4
 Architecture: all
 Replaces: mono-fastcgi-server1
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
+Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
 Description: ASP.NET 4.0 backend for FastCGI webservers
  mono-fastcgi-server contains the backend for FastCGI. It lets you run 
  ASP.NET web applications via HTTP servers such as Lighttpd or Apache. 
@@ -131,7 +156,7 @@
 Architecture: all
 Conflicts: mono-server
 Replaces: mono-server
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
+Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
 Description: ASP.NET 2.0 backend for FastCGI webservers
  mono-fastcgi-server contains the backend for FastCGI. It lets you run
  ASP.NET web applications via HTTP servers such as Lighttpd or Apache.

## xsp 4.2

=== debian/changelog ===
xsp (4.2-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Obvious lintian fixes:
    init.d-script-needs-depends-on-lsb-base
  * Add debconf template translation
    - Brazilian Portuguese.
      Thanks Paulo Henrique de Lima Santana (Closes: #1026412)
  * Acknowledge the following translations, which are already contained:
    - Italian. Thanks to Beatrice Torracca (Closes: #807646)
    - French. Thanks jean-pierre giraud (Closes: #808328)
    - Japanese. Thanks Takuma Yamada (Closes: #815854)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 15 Jan 2023 08:17:38 +0100

xsp (4.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Clint Adams ]
  * Use mktemp instead of tempfile (Closes: #961364)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Aug 2021 23:40:29 +0200

xsp (4.2-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 12:15:15 +0100

xsp (4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Address FTBFS when built with -A by adding debian/shlibs.local.
    Thank you to Santiago Vila for the patch. (Closes: #806879)
  * Address "not binNMU-safe" policy violation due to arch:any
    dependency versioning for mono-fpm-server and mono-fastcgi-server4.
    Thank you to Andreas Beckmann. (Closes: #858372)

 -- tony mancill <tmancill@debian.org>  Sat, 01 Apr 2017 10:32:54 -0700

xsp (4.2-2) unstable; urgency=medium

  * [45c7657] Update Russian translation. 
    Thanks to Yuri Kozlov (Closes: #806737)
  * [81fc78c] Update Danish translation. 
    Thanks to Joe Dalton (Closes: #807116)
  * [e00ff7b] Update Czech translation. 
    Thanks to Miroslav Kure (Closes: #807162)
  * [74127a7] Update German translation. 
    Thanks to Helge Kreutzmann (Closes: #807247)
  * [d20ffb4] Update Dutch translation. 
    Thanks to Frans Spiesschaert (Closes: #807498)
  * [f7a0233] Update Slovenian translation. 
    Thanks to Jan Kraljič (Closes: #807573, #807572)

 -- Jo Shields <jo.shields@xamarin.com>  Fri, 11 Dec 2015 09:17:13 +0000

xsp (4.2-1) experimental; urgency=medium

  * Imported Upstream version 4.0
  * Remove support for 2.0 profile
  * Imported Upstream version 4.2
  * Fix weird issue of missing source files
  * Fix SONAME for fastcgi wrapper
  * Fix examples file
  * Reflow readme (Closes: #773658)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 30 Nov 2015 14:46:11 +0000

xsp (3.8-2.1) unstable; urgency=high

  * Non-maintainer upload fixing bugs blocking serious bug #777597 --
    perl-modules: upgrade regression: dpkg: dependency problems prevent
    configuration of perl-modules

  * replace dependencies on 'perl-modules' with 'perl' as per Perl policy
    (Closes: #779124, #779122, #779125)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 25 Feb 2015 21:14:04 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  autotools-dev, 
  cli-common-dev (>= 0.8~),
  mono-devel (>= 3),
- mono-gmcs,
  monodoc-base (>= 3),
  libnunit-cil-dev
 Standards-Version: 3.9.1
@@ -26,14 +25,6 @@
  command, which allows ASP.NET sites to be automatically configured on 
  installation.
 
-Package: mono-xsp2-base
-Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-devel, mono-gmcs, libmono-system-web2.0-cil (>= ${mono-abi-comp-version})
-Description: base libraries for XSP 2.0
- This is the core libraries needed to install the XSP2 application,
- either through the standalone XSP version (mono-xsp2) or the Apache module
- (mono-apache-server2).
-
 Package: mono-xsp4-base
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}, mono-devel, libmono-system-web4.0-cil (>= ${mono-abi-comp-version})
@@ -44,23 +35,13 @@
 
 Package: mono-xsp4
 Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), procps
+Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), procps, lsb-base
 Description: simple web server to run ASP.NET 4.0 applications
  XSP is a simple web server written in C# that can be used to run your 
  ASP.NET 4.0 applications. 
  .
  This is the standalone ASP.NET web server. If you want to run ASP.NET
  applications with Apache, look at mono-apache-server.
-
-Package: mono-xsp2
-Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), procps
-Description: simple web server to run ASP.NET 2.0 applications
- XSP is a simple web server written in C# that can be used to run your 
- ASP.NET 1.1 and 2.0 applications. 
- .
- This is the standalone ASP.NET web server. If you want to run ASP.NET
- applications with Apache, look at mono-apache-server2.
 
 Package: mono-xsp
 Architecture: all
@@ -75,7 +56,7 @@
 
 Package: asp.net-examples
 Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer2}
+Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer4}
 Replaces: asp.net2-examples
 Conflicts: asp.net2-examples
 Description: demo pages for ASP.NET infrastructure
@@ -84,20 +65,8 @@
 
 Package: mono-apache-server4
 Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
+Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl
 Description: ASP.NET 4.5 backend for mod_mono Apache module
- mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
- web applications via Apache. mod_mono will call mono-apache-server to parse
- and compile the aspx code.
- .
- This package requires you to install libapache2-mod-mono for Apache 2.0.
-
-Package: mono-apache-server2
-Architecture: all
-Conflicts: mono-server
-Replaces: mono-server
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
-Description: ASP.NET 2.0 backend for mod_mono2 Apache module
  mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
  web applications via Apache. mod_mono will call mono-apache-server to parse
  and compile the aspx code.
@@ -118,7 +87,7 @@
 
 Package: mono-fpm-server
 Architecture: all
-Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Depends: libfpm-helper0 (>= ${source:Version}), ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
 Description: ASP.NET backend for FastCGI Process Manager
  mono-fpm-server contains the backend for FPM. It lets you run ASP.NET
  web applications via HTTP servers such as Lighttpd or Apache.
@@ -142,25 +111,11 @@
 Package: mono-fastcgi-server4
 Architecture: all
 Replaces: mono-fastcgi-server1
-Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
+Depends: libfpm-helper0 (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl
 Description: ASP.NET 4.0 backend for FastCGI webservers
  mono-fastcgi-server contains the backend for FastCGI. It lets you run 
  ASP.NET web applications via HTTP servers such as Lighttpd or Apache. 
  The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
- parse and compile the aspx code.
- .
- This package requires you to install any FastCGI webserver, such as
- Lighttpd or Apache (see libapache2-mod-fcgid).
-
-Package: mono-fastcgi-server2
-Architecture: all
-Conflicts: mono-server
-Replaces: mono-server
-Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
-Description: ASP.NET 2.0 backend for FastCGI webservers
- mono-fastcgi-server contains the backend for FastCGI. It lets you run
- ASP.NET web applications via HTTP servers such as Lighttpd or Apache.
- The FastCGI webserver should be configured to run fastcgi-mono-server to
  parse and compile the aspx code.
  .
  This package requires you to install any FastCGI webserver, such as

=== debian/watch ===
version=3
http://ftp.novell.com/pub/mono/sources/xsp/xsp-(.*)\.(?:zip|(?:tar\.(?:bz2|gz)))
